
import UIKit
import WebKit
import SDK_Lib

class HTMLAdViewController: UIViewController {
    
    @IBOutlet weak var bannerView1: WKWebView!
    @IBOutlet weak var banner1WebHeightConstraint: NSLayoutConstraint?
    
    var yeahAds = AdResponse()
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.banner1WebHeightConstraint?.constant = 0
        
        yeahAds.webViewDelegate = self
        yeahAds.htmlAdIntegration()
    }
}
extension HTMLAdViewController : WebViewUpdateDelegate {
    func updateAdView(webV: UIView) {
        banner1WebHeightConstraint?.constant = webV.frame.size.height
        bannerView1?.addSubview(webV)
    }
}
