<?php

// Require the initialisation file
//DAC102 - Connect DB
$path = dirname(__FILE__);
require_once '../../../../init.php';
//DAC102 - Connect DB.

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';

//DAC connect DB

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
//DAC connect DB
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true); 

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form

$oOptions = new OA_Admin_Option('manage_segments');
$prefSection = "Segments"; 
 
$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Create a new option object for displaying the setting's page's HTML form
$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Segments");
phpAds_PageHeader('manage_segments',$oHeaderModel);

$url=$GLOBALS['_MAX']['CONF']['webpath']['admin'];
$seg_list = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select seg_name from mediation_segments where id ='".$_GET['id']."'"));

$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select account_id from {$table_prefix}affiliates where affiliateid='".$_GET['affiliateid']."'"));

		$seg_det =OA_Dal_Delivery_query("SELECT ad.adunit_id,za.segment_id,sg.seg_name,ad.dj_mobile_ad_type,za.id,ad.adunit_name,ad.ad_format,ma.appid,ma.platform_type,ma.app_name,ma.icon_image,an.network_id,an.network_name,
		za.status, 
		IF(za.ecpm is NULL or za.ecpm='0.000000',sg.ecpm,za.ecpm) as ecpm,
		za.segment_id 
		FROM mediation_segment_assoc as za JOIN mediation_app_adunit_details as ad ON za.adunit_id=ad.adunit_id 
		JOIN mediation_app_detail as ma ON ad.app_id=ma.appid 
		JOIN mediation_add_network as an ON an.network_id=za.network_id 
		JOIN mediation_segments as sg ON sg.id=za.segment_id 
		WHERE 1 AND za.account_id='".$account_id['account_id']."' AND za.segment_id='".$_GET['segid']."' GROUP BY an.network_id,ad.adunit_id");

	if(isset($_GET['id']) && $_GET['mode']=='pause')
	{
		OA_Dal_Delivery_query("update mediation_segment_assoc set status=".$_GET['status']." WHERE id=".$_GET['id']) or die("status.");
	 ?>
		<script type="text/javascript"> 
		window.location.replace("list_segment_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&segid=<?php echo $_GET['segid']; ?>");
		</script><?php        
	}
	if(isset($_GET['id']) && $_GET['mode']=='run')
	{
		OA_Dal_Delivery_query("update mediation_segment_assoc set status=".$_GET['status']." WHERE id=".$_GET['id']) or die("status");
	 ?>
		<script type="text/javascript">
		window.location.replace("list_segment_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&segid=<?php echo $_GET['segid']; ?>");
		</script><?php
	}
?>
<style>
	
	body{
			font-size: 11px;
		}
	div.breadcrumb h3 span.label{
			font-size : 20px;
		}
	.label{
			color: #444;
			font-weight: bold;
			height: 23px;
			line-height: 23px;
			font-size: 11px;
			}	
	td
	{
		border-right: 2px solid #dddddd;
		border-bottom: 2px solid #dddddd;
		border-top: 2px solid #dddddd;
		border-left: 2px solid #dddddd;
		padding:10px;
	}

	thead tr td {
		font-weight: normal;
		text-align: center;
		align: center;
	}
</style>
<div>
	<?php 
	$seg_nam = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT seg_name FROM `mediation_segments` WHERE id=".$_GET['segid']));
	?>
<p style = "font-size:18px;"><?php echo $seg_nam['seg_name']; ?></p>
<label style ="font-size:13px;">Set Up <?php echo $seg_nam['seg_name'];?></label>
</div></br>
<table width="100%"  id="example" class="display">
		<thead>
			<tr>
				<td style="font-size:12px;"><b>APP & ADUNIT AND AD SOURCES</b></td>
				<td style="font-size:12px;"><b>STATUS</b></td>
				<td style="font-size:12px;"><b>ECPM</b></td>
				<td style="font-size:12px;"><b>ACTION</b></td>
			</tr>
		</thead>
		<?php
		if(OA_Dal_Delivery_numRows($seg_det)>0)
		{
		while($seg_row = OA_Dal_Delivery_fetchAssoc($seg_det))
		{
			?>
			<tr>
				<td colspan="4">
				<b><?php
				echo $seg_row['app_name'];?></b><small> <?php if($seg_row['platform_type']== 1){ echo "-Andriod"; }else{echo "-IOS";}?> </small>  
				</td>				
			</tr>
			<tr>
				<td colspan="4">
				<b>&nbsp;&nbsp;&nbsp;&nbsp;<?php
				echo $seg_row['adunit_name'];?></b><small> <?php echo "-".$seg_row['dj_mobile_ad_type'];?> </small>  
				</td>	 				
			</tr>
			<tr>
				<td>
				<b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php
				echo $seg_row['network_name'];?></b>  
				</td>	
				<td><center><?php
				if($seg_row['status'] == '1')
				{
					echo "<span style=color:green;>Active</span>";
				} else {
					echo "<span style=color:red;>Paused</span>";
				}
				?></center>
				</td>
				<td>
				 <center><input style="height:30px;width:70px;" type="text" onblur='change_ecpm(<?php echo $seg_row['appid'];echo ",".$seg_row['adunit_id'];echo ",".$seg_row['network_id'];echo ",".$seg_row['segment_id']; ?>,this.value)' value=<?php echo number_format($seg_row['ecpm'],2)?> id="ecpm_val">				 
				 </center>
				</td> 
				<td> 
					<?php
					$getnetstatus = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT `status` FROM `mediation_add_network` WHERE `network_id` = '".$seg_row['network_id']."' and account_id='".$account_id['account_id']."'"));
					
					//~ print_r($getnetstatus['status']);
					
					if($getnetstatus['status'] == '0')
					{
						echo "<span style=color:red;><center>Network Paused.</center></span>"; 
					}else
					{
						if($seg_row['status'] == '1'){?>
						<a href="list_segment_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&segid=<?php echo $seg_row['segment_id'];?>&id=<?php echo $seg_row['id'];?>&status=0&mode=pause"><center><input type="button" value="Pause " /></center></a>
						<?php } else{ ?>
						<a href="list_segment_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&segid=<?php echo $seg_row['segment_id'];?>&id=<?php echo $seg_row['id'];?>&status=1&mode=run"><center><input type="button" value="Run"/></center></a>&nbsp;&nbsp;&nbsp;
						<?php } 
					}?>
				</td>								
			</tr>
			<?php
		}
		}else
		{
		?>
			<td colspan='4'><center><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle">
			<?php echo "No data."; ?>
			</center></td>
		<?php	
		}
			 ?>
</table>
<script src="assets/js/jquery.min.js"></script>
<script type="text/javascript">
	var jq= $.noConflict(true);
	function change_ecpm(a_id,ad_id,n_id,s_id,ecpm_va)
	{
		var ecpm_price = ecpm_va;
		var aid =	a_id;
		var adid =	ad_id;
		var nid =	n_id;
		var sid =	s_id;
		
		

			$.ajax({
				type:'POST',
				url: 'list_segment_adblocks_ecpm.php',
				data: { "appid": aid, "adid": adid, "netid": nid, "segid": sid, "ecpm": ecpm_price },
				dataType: 'json',           
				success: function(data){
					alert("");
				} 
			}); 
	}
</script>
