//
//  GifImageViewController.swift
//  Project_Demo
//
//  Created by Djax on 03/03/23.
//

import UIKit
import SDK_Lib
import WebKit
import AVFoundation

class GifImageViewController: UIViewController {
    
    @IBOutlet weak var popUpWebView: WKWebView!
    @IBOutlet weak var gifView: UIView!
    
    var zoneId_Gifimage : String = ""
    var fromPage : String = ""

    var adResponse = AdResponse()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.backgroundColor = UIColor.clear
        self.gifView.isHidden = true

        adResponse.webViewDelegate = self
        adResponse.html5AdIntegration1()
        
    }

}
extension GifImageViewController : ViewUpdateDelegate {
    func updateView(view: UIView) {
//        gifView.isHidden = false
//        gifView?.addSubview(view)
//        self.view.addSubview(view)
    }
}

extension GifImageViewController: WebViewUpdateDelegate {
    func updateAdView(webV: UIView) {
        adResponse.showPopup(with: webV, on: self.view)
    }
}

extension GifImageViewController: WKNavigationDelegate {
    // Implement any necessary WKNavigationDelegate methods
}
