<?php

/*
+---------------------------------------------------------------------------+
| OpenX v2.8                                                                |
| ==========                                                                |
|                                                                           |
| Copyright (c) 2003-2009 OpenX Limited                                     |
| For contact details, see: http://www.openx.org/                           |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: advertiser-campaigns.php 34688 2009-04-01 16:18:28Z andrew.hill $
*/

// Require the initialisation file
//~ require_once '../../../../init.php';
$path = dirname(__FILE__);
  	require_once '../../../../init.php';
//require_once MAX_PATH . '/lib/OX/Util/Utils.php';

// Required files
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';


 if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
	$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
	$zone_type=3;
	$agency_id = $GLOBALS['session']['user']->aAccount['agency_id'];
?>

<?php
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form

$oOptions = new OA_Admin_Option('manage_adunits');
$prefSection = "Add Adunits";

$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];
 

// Create a new option object for displaying the setting's page's HTML form
//$oOptions = new OA_Admin_Option('settings');
//$prefSection = "inventory-products";
$aErrormessage = array();

// Set the correct section of the preference pages and display the drop-down menu
//$setPref = $oOptions->getSettingsPreferences($prefSection);
//$title = $setPref[$prefSection]['name'];

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Add Adunits");
phpAds_PageHeader('manage_adunits',$oHeaderModel);

if (isset ( $GLOBALS ['_MAX'] ['CONF'] ['plugins'] ['openXMarket'] )
    && $GLOBALS ['_MAX'] ['CONF'] ['plugins'] ['openXMarket']) {
    $oComponent = &OX_Component::factory ( 'admin', 'oxMarket', 'oxMarket' );
}

$app_id='';
$appcondi='';
$app_id=$_GET['app_id'];
$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select account_id from {$table_prefix}affiliates where affiliateid='".$_GET['affiliateid']."'"));
$account_id = $account_id['account_id'];

$affiliate_id = $_GET['affiliateid'];

if($_POST['submit']=='Save Changes'){
	/*$affiliate_id = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT `affiliateid` FROM (`rv_affiliates`)
WHERE `account_id` = '".$account_id."'"));*/
//~ $affiliate_id = $affiliate_id['affiliateid'];


	if($_POST['adunit_format']=='MED_BAN')
			{
				$segg = 1;
				$adformat='0';
				$width='320';
				$height='50';
				$mobile_adtype='banner';
				$layout_type='';
			}
			else if($_POST['adunit_format']=='MED_MEDI')
			{
				$segg = 1;
				$adformat='1';
				$width='300';
				$height='250';
				$mobile_adtype='medium';
				$layout_type='';
			}
			else if($_POST['adunit_format']=='MED_FULL_INT')
			{
				$segg = 1;
				$adformat='2';
				$width='320';
				$height='480';
				$mobile_adtype='fullscreen';
				$layout_type=$_POST['ad_layout'];
			}
			else if($_POST['adunit_format']=='MED_NA')
			{
				$segg = 2;
				$adformat='3';
				$width='-16';
				$height='-16';
				$mobile_adtype='native';
				$layout_type='';
			}
			else if($_POST['adunit_format']=='MED_REW_VI')
			{
				$segg = 2;
				$adformat='4';
				$width='-17';
				$height='-17';
				$mobile_adtype='rewardvideo';
				$layout_type='';
			}
			else if($_POST['adunit_format']=='MED_CUS')
			{
				$segg = 1;
				$adformat='5';
				$width=$_POST['cus_width'];
				$height=$_POST['cus_height'];
				$mobile_adtype='custom';
				$layout_type='';
			}
			else if($_POST['adunit_format']=='MED_LD_BOA')
			{
				$segg = 1;
				$adformat='6';
				$width='728';
				$height='90';
				$mobile_adtype='leaderboard';
				$layout_type='';
			}
			else if($_POST['adunit_format']=='MED_SKY')
			{
				$segg = 2;
				$adformat='7';
				$width='160';
				$height='600';
				$mobile_adtype='skyscraper';
				$layout_type='';
			}
			
			if($_POST['adunit_format']=='MED_REW_VI')
			{
			 $curr_reward   = $_POST['rew_curr'];
			 $curr_amt  = $_POST['reward_amt'];
             $count            = $_POST['myField'];
			 $rewcur     = array();
			 $rewamt     = array();
            for ($i = 1; $i <= $count; $i++) {
                
              
                $rewcur[] = $curr_reward[$i];
                $rewamt[] = $curr_amt[$i];
                
            }
			}
			else
			{
				$rewcur='';
				$rewamt='';
			}
			 $delivery_priority='';
			 $delivery='';
			 $ad_position='';
			// $delivery = delivery_value($_POST['zone_type'));
			$add_mobile_adblockObj=array("deliver_type"  	=>	$delivery_priority,
										"zonename"  =>$_POST['adunit_name'],
										"affiliateid"=>	$affiliate_id,
										"zonetype"	=>	$zone_type,
										"delivery"	=>	$delivery,
										"dj_zone_type"	=>$_POST['adunit_format'],
										 "width" =>$width,
										 "height" => $height,
										"dj_added_date"=>date("Y-m-d H:i:s"),
										"dj_mobile_ad_type"=>$mobile_adtype,
										"dj_ad_position" =>$ad_position,
										 "is_mediation"=>'1',
										 //~ "hourly_impression " => $_POST['hourly_imp'],
										//~ "daily_impression" => $_POST['daily_imp'],
										"refresh_interval" => $_POST['ref_inter_val'],
										"layout_type" =>$layout_type,
										"native_Place_ads" =>$_POST['ad_shows_set'],
										"native_ad_position" => $_POST['nat_ad_pos'],
										"callback_url" => $_POST['call_bk_url'],
										"is_afterplace_nat_ad"	=>$_POST['after_adshows_check'],
										"app_id" => $_POST['app_categories']
									);
	$columns = implode(", ",array_keys($add_mobile_adblockObj));
	$values  = implode("','",array_values($add_mobile_adblockObj));
	//~ $escaped_values = array_map('mysql_real_escape_string', array_values($add_mobile_adblockObj));
    //~ echo "tes".$values  = implode(", ", $escaped_values);
    //~ echo "INSERT INTO `rv_zones` ($columns) VALUES ('$values')";
    //~ die;

	OA_Dal_Delivery_query("INSERT INTO `rv_zones` ($columns) VALUES ('$values')");  
		$zone_id=OA_Dal_Delivery_insertId();

	$add_adunit_Objs=array(
			     "adunit_id"=>$zone_id,
				 "adunit_name" =>$_POST['adunit_name'],
                "device_type" =>$_POST['device_type'],
                "ad_format" =>$adformat,
                //~ "hourly_impression " => $_POST['hourly_imp'],
                //~ "daily_impression" => $_POST['daily_imp'],
                "refresh_interval" => $_POST['ref_inter_val'],
                "layout_type" =>$layout_type,
                "native_Place_ads" =>$_POST['ad_shows_set'],
                "native_ad_position" => $_POST['nat_ad_pos'],
                "callback_url" => $_POST['call_bk_url'],
                "is_afterplace_nat_ad"	=>$_POST['after_adshows_check'],
               "width" =>$width,
               "height" => $height,
               "app_id" => $_POST['app_categories'],
               "added_date" => date("Y-m-d H:i:s"),
                "affiliateid"=>$_GET['affiliateid'],
                "dj_mobile_ad_type"=>$mobile_adtype,
                "dj_zone_type"=>$_POST['adunit_format']  
									);				
									
	$med_columns = implode(", ",array_keys($add_adunit_Objs));
	$med_values  = implode("','",array_values($add_adunit_Objs));

	OA_Dal_Delivery_query("INSERT INTO `mediation_app_adunit_details` ($med_columns) VALUES ('$med_values')");  							
	$adunit_id=OA_Dal_Delivery_insertId();
	 foreach ($rewcur as $a => $b) {
            OA_Dal_Delivery_query("INSERT INTO `mediation_adunit_rewards_details` (adunit_id,reward_curen_val,reward_amt) VALUES ('".$adunit_id."','".$rewcur[$a]."','".$rewamt[$a]."')"); 
					
        }
	if($adunit_id != FALSE){
					$app_adunit_Assoc = array("app_id"=> $_POST['app_categories'],
											  "adunit_id"=> $adunit_id,	
										);
				OA_Dal_Delivery_query("INSERT INTO `mediation_app_adunit_assoc` (app_id,adunit_id) VALUES ('".$_POST['app_categories']."','".$adunit_id."')");  
		
					$config_value_qry = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT `config_value` FROM mediation_markplace_config
					WHERE `config_key` = 'market_place_ecpm'"));
					$markecpm = $config_value_qry['config_value'];
				if($segg == 1)
				{
	
					OA_Dal_Delivery_query("INSERT INTO `mediation_segment_assoc` (account_id,segment_id,app_id,adunit_id,network_id,ecpm,status,is_default) VALUES ('".$account_id."',1,'".$_POST['app_categories']."','".$adunit_id."',1,'".$markecpm."',1,1)");  
					//~ $this->do_mediation->adunit_segment_assoc($seg_assoc);
				}
				 
/* djax - DAC009 */
MAX_autoLinkZoneAds($zone_id);
				
				$translation = new OX_Translation ();
				$translated_message = $translation->translate ('Ad unit has been added successfully.');
				OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
		?>
		<script type="text/javascript">
			window.location.replace("manage_adunits.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
		</script><?php
		die();				
			}		
}
?>
<style>
.close1
{
co	lor:#999;display:block;font-size:14px;
}
.rewardamt
{   
	width:62px;
}
</style>
<form  action='' method='post' name='addnetworkform' >


<h3 id='ad'>Add a Adunit</h3>

<table style="width:70%">
	<tr >
		<td style="padding:15px">App Name</td>
		<td>
			<?php
			
	$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT account_id FROM {$table_prefix}affiliates WHERE affiliateid='".$_GET['affiliateid']."'"));
if(isset($app_id))
{
	$app_id=str_replace("%27",'',$_GET['app_id']);
	$appcondi="WHERE appid=".$app_id."";
}else{
	
	$appcondi="WHERE account_id=".$account_id['account_id']."";
}

						$query=OA_Dal_Delivery_query("SELECT appid, app_name FROM mediation_app_detail $appcondi");
						
				?>	
					<select  placeholder="Please select categories" required id='app_categories' name='app_categories' style="width:227px;" >
					<?php
					while ($row = OA_Dal_Delivery_fetchAssoc($query))
						{
					
							echo '<option value="'.$row['appid'].'">'.$row['app_name'].'</option>';
						}
					?>
					</script>
		</td>
	</tr>
	<tr>
		<td style="padding:15px">Adunit name</td>
		<td>
			<input type="text" name="adunit_name" required value="<?php echo $approw['app_name'];  ?>" size="40">
		</td>
	</tr>
	<tr>
		<td style="padding:15px">Device</td>
		<td>
			<select name='device_type' id='device_type' onChange="device_func();" style="width:227px;" required> 
				<option value="Phone">Phone</option>
				<option value="Tablet">Tablet</option>
			</select>	
		</td>
	</tr>
	<tr>
		<td style="padding:15px">Format</td>
		<td>
			<select name="adunit_format" id="adunit_format" class='input-xlarge adunitformat' style="width:227px;" onChange="adunitformat_func();" >
					<option value="MED_BAN">Banner(320x50)</option>
					<option value="MED_MEDI">Medium(300x250)</option>
					<option class="tablet_fr" value="MED_LD_BOA">Leaderboard(728x90)</option>
					<option class="tablet_fr" value="MED_SKY">Skyscraper(160x600)</option>
					<option value="MED_FULL_INT">Full screen</option>
					<option value="MED_NA">Native</option>
					<option value="MED_REW_VI">Rewarded video</option>
					<option value="MED_CUS">Custom</option>
				</select>
		</td>
		
	</tr>
	<tr id="custom_format_block">		
		
	<td style="padding:15px">Width</td>
		<td id="width">
		<input type="text" name="cus_width" class='input-medium' id="cus_width" placeholder="<?php //echo "width"?>" data-rule-required="true" data-rule-positiveinteger='true' onpaste="return false" data-default="480" min='1' data-msg-min="<?php //echo $this->lang->line('valid_msg_min_px');?>"><span class="add-on" style="padding-top: 0;"> X </span>
		<input type="text" name="cus_height" class='input-medium numeric' id="cus_height" placeholder="<?php //echo "height"?>"   data-rule-required="true" data-rule-positiveinteger='true'  onpaste="return false"  data-default="60" min='1' data-msg-min="<?php//echo $this->lang->line('valid_msg_min_px');?>">
		</td>
	</tr>
<!--
	<tr>
		<td style="padding:15px">Frequency caps</td>
		<td>
			<input type="text" name="hourly_imp" class='input-xlarge' id="hourly_imp" placeholder="optional"  style="width:227px;">&nbsp;&nbsp;&nbsp;&nbsp;<span>Hourly impression per user</span>
		</td>
	</tr>
	<tr>
		<td style="padding:15px"></td>
		<td>
			<input type="text" name="daily_imp" class='input-xlarge' id="daily_imp" placeholder="optional"  style="width:227px;" >&nbsp;&nbsp;&nbsp;&nbsp;<span>Daily impression per user</span>
		</td>
	</tr>
-->
	<tr>
	<tr id="layout_block">
	<td style="padding:15px">Layout</td>
		<td>
		<select name="ad_layout" id="ad_layout" class='input-xlarge' style="width:227px;">
			<option value="portrait">Portrait</option>
			<option value="landscape">Landscape</option>
		</select>
		</td>
	</tr>
	<tr id="reward_video_block">
	<td style="padding:15px">Rewards<br/>
            <small>Ex:Lifes,Coins,Points</small></td>
		<td>
				<input type="hidden" name='myField' id="myField" value="" />
					
					<input id="addrewards" type="button" value="Add a reward" />
<!--
				<a id="addrewards" class="buttonLink" >Add a reward</a>
-->
		</td>
	</tr>
	<tr id='container_reward'>
	<td style="padding:15px"></td>
	</tr>
	<tr id="native_format_block">
	<td style="padding:15px">Ad positions<br/></td>
		<td>
			<span>To use position controls, you must use the AdPlacer code when integrating the SDK.
			 <br/>Note: The first position in your current stream is zero (0).</span><br/><br/>
			<span>Place ads in these positions:</span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<input type="text" name="nat_ad_pos" class='input-xlarge' id="nat_ad_pos" placeholder="optional" value="1,3,6" >
					<br/>
					
						<input type="checkbox" id="after_adshows_check" class='icheck-me' name="after_adshows_check" data-skin="square" data-color="blue"  value="" checked="checked"> <label class='inline' for="c8">After placed ads, show ads every position &nbsp;&nbsp;<input type="text" name="ad_shows_set" width="1px" height="3px" id="ad_shows_set" placeholder="optional"  value=""></label>	
		</td>
	</tr>
	<tr>
		<td><input type="submit" value="Save Changes" name="submit"  /></td>
		<td></td>
	</tr>
</table>
	
</form>
<script>
$(function () {
  $('#width').bind("contextmenu",function(e){
	e.preventDefault();
	alert("Right Click is not allowed");
  });
}); 
 $( document ).ready(function() 
{
	$('#native_format_block').hide();
	$('#reward_video_block').hide();
	$('#container_reward').hide();
	$('#custom_format_block').hide();
	$('#layout_block').hide();
	$('.tablet_fr').hide();
	$('#after_adshows_check').val('1');
});

function device_func() {
var devicetype = $("#device_type").val();
if(devicetype == 'Phone' ){
		$('.tablet_fr').hide();
		$("#adunit_format").val('MED_BAN');
	}else{
		$('.tablet_fr').show();
	}
}

function adunitformat_func() {
	var format_opt = $("#adunit_format").val();
//~ alert(format_opt+"sa");
	if(format_opt == 'MED_BAN' ||format_opt == 'MED_MEDI' || format_opt == 'MED_LD_BOA' ||format_opt == 'MED_SKY'){

		$('#refresh_inter').show();
		$('#native_format_block').hide();
		$('#reward_video_block').hide();
		$('#container_reward').hide();
		$('#custom_format_block').hide();
		$('#layout_block').hide();
		
		}
	else if(format_opt == 'MED_FULL_INT'){

		$('#refresh_inter').hide();
		$('#native_format_block').hide();
		$('#reward_video_block').hide();
		$('#container_reward').hide();
		$('#custom_format_block').hide();
		$('#layout_block').show();
		
		}
		else if(format_opt == 'MED_NA')
		{

		$('#refresh_inter').hide();
		$('#native_format_block').show();
		$('#reward_video_block').hide();
		$('#container_reward').hide();
		$('#custom_format_block').hide();
		$('#layout_block').hide();
		
		}
		else if(format_opt =='MED_REW_VI'){

		$('#refresh_inter').hide();
		$('#native_format_block').hide();
		$('#reward_video_block').show();
		$('#container_reward').show();
		$('#custom_format_block').hide();
		$('#layout_block').hide();
		
		}
		else
		{
			$('#refresh_inter').show();
			$('#native_format_block').hide();
			$('#reward_video_block').hide();
			$('#container_reward').hide();
			$('#custom_format_block').show();
			$('#cus_width').attr('required', true);
			$('#cus_height').attr('required', true);
			$('#layout_block').hide();
		}
}

 var count =0;

$("#addrewards").click(function () {
	count++;
var addreward_val=$('<table id="reward_div_'+count+'"><tr><td ><input type="text" placeholder="Enter the rewards" name="rew_curr['+count+']" id="rew_curr['+count+']" class="input-xlarge" style="height:20px;" />&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" placeholder="Amount" name="reward_amt['+count+']"  class="rewardamt" style="width:65px;height:20px;"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td></tr></table>');
	//~ alert("sf"+addreward_val);

addreward_val.appendTo('#container_reward');
   document.getElementById('myField').value = count;
	
});
function remove_reward()
{
	if(count != 0){
	count--;
	var counts =jQuery('#myField').val();
	
		$("#reward_div_"+counts+"").remove();
		document.getElementById('myField').value = count;
	}
}
//~ function func(){alert("dfg");}
</script>
<?php

phpAds_PageFooter();

?>
