<?php

$path = dirname(__FILE__);
require_once '../../../../init.php';

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';

require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';
require_once MAX_PATH . '/lib/OA/Admin/UI/AccountSwitch.php';

$account_id = $GLOBALS['session']['user']->aAccount['account_id'];
if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);

$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel($title);
phpAds_PageHeader('manage_networks');
$url=$GLOBALS['_MAX']['CONF']['webpath']['admin'];
					$pathvar="admin_add_networks.php?mode=add";
?><div id="thirdLevelTools" style="float:left;">
      <div class="messagePlaceholder" id="messagePlaceholder"></div>

      <ul class="contextContainer">
                    <li>
              <a href="<?php echo $pathvar; ?>"  class="buttonLink">
                  <span>Add Admin Networks</span>
              </a>
          </li>
                                    </ul>
  </div>

<?php

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

if(isset($_GET['networkid']) && $_GET['mode']!='edit' && $_GET['mode']!='pause')
{
	OA_Dal_Delivery_query("delete from mediation_networks WHERE network_id=".$_GET['networkid']) or die("Network is already deleted.");
	
	OA_Dal_Delivery_query("delete from mediation_networks_param WHERE network_id=".$_GET['networkid']) or die("Network deleted.");
	
	//OA_Dal_Delivery_query("delete from mediation_add_network WHERE network_id=".$_GET['networkid']) or die("Network deleted.");
	
	OA_Dal_Delivery_query("delete from mediation_net_zone_paramater WHERE network_id=".$_GET['networkid']) or die("Network deleted.");
	
	OA_Dal_Delivery_query("delete from mediation_net_zone_assoc WHERE network_id=".$_GET['networkid']) or die("Network deleted."); 
	
	//OA_Dal_Delivery_query("delete from mediation_segment_assoc WHERE network_id=".$_GET['networkid']) or die("Network deleted.");
	
	OA_Dal_Delivery_query("update mediation_networks set network_id = 0 WHERE network_id=".$_GET['networkid']) or die("Network is Updated.");
}
if(isset($_GET['networkid']) && $_GET['mode']!='edit' && $_GET['mode']=='pause')
{
	OA_Dal_Delivery_query("update mediation_networks set status=".$_GET['status']." WHERE network_id=".$_GET['networkid']) or die("Network is already paused.");
}
?>
<link rel="stylesheet" type="text/css" href="assets/css/jquery.dataTables.min.css" />
<script src="assets/js/jquery-1.12.4.js"></script>
<script src="assets/js/jquery.dataTables.min.js"></script>
<script type="text/javascript">
	var jq162 = jQuery.noConflict( true );
jq162(document).ready(function() {
    jq162('#example').DataTable();
} );
</script>
<!--  code here -->
<table border='0' width='100%' cellpadding='0' cellspacing='0'>
<tr><td height='25' colspan='3'><b>Manage Admin Networks</b>&nbsp;&nbsp;&nbsp;<!--<a href="oxm_inventory_products.php?mode=add">Add Product</a>--></td></tr>
<tr height='1'><td colspan='3' bgcolor='#888888'><img src='assets/images/break.gif' height='1' width='100%'></td></tr>
<tr><td height='10' colspan='3'>&nbsp;</td></tr>
<tr><td height='10' colspan='3'>
<table width="100%"  id="example" class="display">
<?php
//~ print_r($_GET);die("test");
$getinvres = OA_Dal_Delivery_query("select network_id, network_name, status FROM mediation_networks WHERE account_id = '".$account_id."' and is_custom = 0 and is_default_net = 0") or die(mysql_error());
					if(OA_Dal_Delivery_numRows($getinvres)>0)
					{?>
						<thead>
							<tr>
								<td style="font-size:12px;"><b>NETWORK NAME </b></td>
								<td style="font-size:12px;"><b>STATUS</td>
								<td style="font-size:12px;"><b>ACTIONS</b></td>
							</tr>
						</thead><?php
						while($getinvrow = OA_Dal_Delivery_fetchAssoc($getinvres))
						{
							$val=array_filter($getinvrow);?>
							<tr>
								<td style="font-size:12px;"><?php echo $val['network_name'];?>
														</td>
								<td style="font-size:12px;">
									<?php if($val['status'] == '1'){?>
										<label style="color:green;">Running</label><?php
										} else {?>
										<label style="color:#f00;">Paused</label><?php
											}?>
														</td>
								<td style="font-size:12px;">
									&nbsp;&nbsp;&nbsp;
									<a href="admin_networks.php?networkid=<?php echo $val['network_id'];?>" onclick="return confirm('Are you sure you want to delele this Network?')"><input type="button" value="Delete" /></a>&nbsp;&nbsp;&nbsp;
									<a href="admin_add_networks.php?networkid=<?php echo $val['network_id'];?>&mode=edit"><input type="button" value="Edit" /></a>&nbsp;&nbsp;&nbsp;
									<?php if($val['status'] == '1'){?>
									<a href="admin_networks.php?networkid=<?php echo $val['network_id'];?>&status=0&mode=pause"><input type="button" value="Pause this network" /></a>
									<?php } else{?>
									<a href="admin_networks.php?networkid=<?php echo $val['network_id'];?>&status=1&mode=pause"><input type="button" value="Run this network" /></a>
									<?php } ?>
								</td>
							</tr><?php
						}
					}
					else{
                        
                        ?>
                        <td>&nbsp;&nbsp;&nbsp;</td>    
                        <td><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle">
                        <?php
                        echo "No data."; ?></td><?php
                    }
									

phpAds_PageFooter();

?>
