<?php

// Require the initialisation file
require_once '../../../../init.php';
 if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

session_start();
// Required files

require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OA/Creative/File.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/max/Admin_DA.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
//require_once MAX_PATH . '/www/admin/lib-gd.inc.php';
require_once MAX_PATH . '/lib/OX/Translation.php';
//require_once MAX_PATH . '/lib/OA/Admin/TemplatePlugin.php';
require_once MAX_PATH . '/lib/pear/Date.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/lib/OX/Util/Utils.php';
require_once MAX_PATH . '/lib/OX/Admin/UI/ViewHooks.php';
require_once MAX_PATH . '/lib/max/Delivery/common.php';
require_once MAX_PATH . '/lib/max/other/common.php';

phpAds_registerGlobal('breakdown', 'entity', 'agency_id', 'advertiser_id',
                      'clientid', 'campaignid', 'placement_id', 'ad_id',
                      'bannerid', 'publisher_id', 'affiliateid', 'zone_id',
                      'zoneid', 'start_date', 'end_date', 'sort', 'asc',
                      'show', 'expand', 'day', 'plugin', 'peroid_preset',
                      'tempPeriodPreset', 'GraphFile', 'graphFilter','graphFields',
                      'listorder', 'orderdirection'
                     );
     
    
$day            = htmlspecialchars($day);
$listorder      = htmlspecialchars($listorder);
$orderdirection = htmlspecialchars($orderdirection);
if (!($orderdirection == 'up' || $orderdirection == 'down')) {
    if (stristr($orderdirection, 'down')) {
        $orderdirection = 'down';
    } else {
        $orderdirection = 'up';
    }
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$url = 'http://'.$GLOBALS['conf']['webpath']['admin'];

OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN,OA_ACCOUNT_MANAGER,OA_ACCOUNT_TRAFFICKER);

$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Apps Report");
phpAds_PageHeader('apps_stats', $oHeaderModel);
// Initialise some parameters
$pageName = basename($_SERVER['SCRIPT_NAME']);
$tabindex = 1;

//~ $account_id = $GLOBALS['session']['user']->aAccount['account_id'];
$agency_id = $GLOBALS['session']['user']->aAccount['agency_id'];
//~ $affiliate_id_qry = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT * FROM rv_affiliates
//~ WHERE `account_id` = '".$account_id."' and `agencyid` = '".$agency_id."'"));
//~ $affiliate_id = $affiliate_id_qry['affiliateid'];

$affiliate_id = $_GET['affiliateid'];

$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select account_id from {$table_prefix}affiliates where affiliateid='".$affiliate_id."'"));
$account_id = $account_id['account_id'];

$_period = !empty($_POST['period_preset']) ? $_POST['period_preset'] : '';

if($_POST['period_preset']!='')
{
	
if (isset($_SESSION["geoquery"])) {
   if (basename($_SERVER['PHP_SELF']) != $_SESSION["query2"]) {
        session_unset();
   }
}
	if($_POST['period_preset']=='today')
	{
		$start=date('Y-m-d 00:00:00');
		$end=date('Y-m-d 23:59:59');
		//~ $result=time_zone($start,$end);
		$startdate=$start;
		$endate=$end; 
	}
	else if($_POST['period_preset']=='yesterday')
	{
		$start=date('Y-m-d 00:00:00', strtotime('Yesterday'));
		$end=date('Y-m-d 23:59:59', strtotime('Yesterday'));
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; //$start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='this_week')
	{
		$start=date('Y-m-d 00:00:00', strtotime('this week Monday'));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; //$start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='last_week')
	{
		$previous_week = strtotime("-1 week +1 day");
		$start_week = strtotime("last monday midnight",$previous_week);
		$end_week = strtotime("next friday",$start_week);

		$start = date("Y-m-d 00:00:00",$start_week);
		$end = date("Y-m-d 23:59:59",$end_week);
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; //$start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='last_7_days')
	{
		$start=date('Y-m-d 00:00:00', strtotime('Today - 7 Day'));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; //$start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='this_month')
	{
		$start=date('Y-m-d 00:00:00', mktime(0, 0, 0, date('m'), 1, date('Y')));
		$end=date('Y-m-d 23:59:59');
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; //$start=$result[0]; $end=$endate;
	}
	else if($_POST['period_preset']=='last_month')
	{
		$start=date('Y-m-d 00:00:00', mktime(0, 0, 0, (date('m') - 1), 1, date('Y')));
		$end=date('Y-m-d 23:59:59', mktime(0, 0, 0, date('m'), 0, date('Y')));
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; //$start=$result[0]; $end=$endate;
	}	
	else if($_POST['period_preset']=='last_month')
	{
		$start=date('Y-m-d', mktime(0, 0, 0, (date('m') - 1), 1, date('Y')));
		$end=date('Y-m-d', mktime(0, 0, 0, date('m'), 0, date('Y')));
	}
	else if($_POST['period_preset']=='all_stats')
	{
		$start=date("0000-00-00 00:00:00");
		$end=date("Y-m-d 23:59:59");
		$result=time_zone($start,$end);
		$start='0000-00-00 00:00:00'; $end=$result[1];$startdate=$start;
		$endate=$result[1];
	}
	else if($_POST['period_preset']=='specific')
	{
		$start=$_POST['period_start'];
		$end=$_POST['period_end'];
		$result=time_zone($start,$end);
		$startdate=$result[0];
		$endate=$result[1]; //$start=$result[0]; $end=$endate;
	}
}
else
{
	if (isset($_SESSION["geoquery"])) {
	   if (basename($_SERVER['PHP_SELF']) != $_SESSION["query2"]) {
			session_unset();
	   }
	}
	$startdate=date('Y-m-d 00:00:00');
	$endate=date('Y-m-d 23:59:59');
}




/*Convert start date and end date into timezone format*/
if($period_preset=='all_stats')
{

	$start_date="0000-00-00 00:00:00";
	
	$end_day=new Date(date('Y-m-d H:i:00'));
	$end_day->setHour(23);
	$end_day->setMinute(59);
	$end_day->setSecond(59);
	$end_day->toUTC();
	$end_date=$end_day->format('%Y-%m-%d %H:%M:%S');
}
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
	$pubcondition = '';
	if($account_id )
	{
		
		$pubcondition .= " JOIN {$table_prefix}affiliates as oxaff ON ( oxaff.affiliateid=dat.app_id AND oxaff.account_id=" . $account_id . ")";
	}
	//~ $agencycondition = '';
	else if($agency_id)
	{
		$pubcondition .= " JOIN {$table_prefix}affiliates as oxaff ON ( oxaff.affiliateid=dat.app_id AND oxaff.agencyid=" . $agency_id .")";
	}
	else
	{
	
	$pubcondition .=" JOIN {$table_prefix}affiliates as oxaff ON ( oxaff.affiliateid=dat.app_id)";
		
	}
	
	
	
	$hcondition = '';
	$hcondition .= "AND dat.date_time >= '".$startdate."' and dat.date_time <= '".$endate."'";
	
		/*$pub_id = $_REQUEST['affiliateid'];
		$zone_id = $_REQUEST['zone'];
		$zid = '';
		if($zone_id){
			$zid = " and zoneid='".$zone_id."'";
		}	
		if($pub_id){
			$hcondition .= "where accountid='".$pub_id."' $zid req.date_time >= '".$startdate."' and req.date_time <= '".$endate."'";	
		}else{
			$hcondition .= "where  req.date_time >= '".$startdate."' and req.date_time <= '".$endate."' $zid";
		}*/

		$query = OA_Dal_Delivery_query("SELECT   Sum(dat.req)     AS req, 
         Sum(dat.res_count)                                       AS res_count, 
         Sum(dat.imp)                                             AS imp, 
         Sum(dat.clicks)                                          AS clicks, 
         ifnull(((sum(dat.imp)/sum(dat.req))*100),0)              AS fill_rate, 
         ifnull((sum(dat.clicks)/sum(dat.imp))*100,0)             AS ctr, 
         dat.app_id                                               AS appid, 
         oxaff.name AS app_name, oxaff.affiliate_type AS platform
FROM     (select res.date_time AS date_time,res.app_id,sum(res.request) AS req,sum(res.response) AS res_count,sum(res.impression) AS imp,sum(res.clicks) AS clicks from mediation_app_adunit_stats AS res  where 1 GROUP BY res.request_id) AS dat 
 ".$pubcondition." where 1 ".$hcondition." 
GROUP BY  appid");
/*
print_r("SELECT   Sum(dat.req)     AS req, 
         Sum(dat.res_count)                                       AS res_count, 
         Sum(dat.imp)                                             AS imp, 
         Sum(dat.clicks)                                          AS clicks, 
         ifnull(((sum(dat.imp)/sum(dat.req))*100),0)              AS fill_rate, 
         ifnull((sum(dat.clicks)/sum(dat.imp))*100,0)             AS ctr, 
         dat.app_id                                               AS appid, 
         ap.app_name, 
         ap.platform_type AS platform 
FROM     (select res.date_time AS date_time,res.app_id,sum(res.request) AS req,sum(res.response) AS res_count,sum(res.impression) AS imp,sum(res.clicks) AS clicks from mediation_app_adunit_stats AS res  where 1 GROUP BY res.request_id) AS dat 
JOIN      mediation_app_detail AS ap 
ON        ap.appid=dat.app_id 
 ".$pubcondition." where 1 ".$hcondition." 
GROUP BY  appid");*/

function time_zone($start,$end)
{
	$end_date =  date('Y-m-d',strtotime($end));	
	$end_day=new Date($end_date);
	$end_day->setHour(23);
	$end_day->setMinute(59);
	$end_day->setSecond(59);
	$end_day->toUTC();
	$end_date=$end_day->format('%Y-%m-%d %H:%M:%S');
	//$end_date=$end_day->format('%Y-%m-%d');
	$start_day=new Date($start);
	$start_day->setHour(0);
	$start_day->setMinute(0);
	$start_day->setSecond(0);
	$start_day->toUTC();
	$start_date=$start_day->format('%Y-%m-%d %H:%M:%S'); 
	//$start_date=$start_day->format('%Y-%m-%d');
	$date[]=$start_date;
	$date[]=$end_date;
	return $date;	
}

?>
<form method='post' id="form">
	
<select name='period_preset' id='period_preset' onchange='periodFormChange(1)' tabindex='1'>
            <option value='today' selected='selected'>Today</option>

            <option value='yesterday' <?php if($_period == "yesterday") : ?> selected="selected" <?php endif; ?> >Yesterday</option>
            <option value='this_week' <?php if($_period == "this_week") : ?> selected="selected" <?php endif; ?> >This week</option>
            <option value='last_week' <?php if($_period == "last_week") : ?> selected="selected" <?php endif; ?> > Last week</option>
            <option value='last_7_days' <?php if($_period == "last_7_days") : ?> selected="selected" <?php endif; ?> >Last 7 days</option>
            <option value='this_month' <?php if($_period == "this_month") : ?> selected="selected" <?php endif; ?> >This month</option>
            <option value='last_month' <?php if($_period == "last_month") : ?> selected="selected" <?php endif; ?> >Last month</option>

            <option value='all_stats' <?php if($_period == "all_stats") : ?> selected="selected" <?php endif; ?> >All statistics</option>
            <option value='specific' <?php if($_period == "specific") : ?> selected="selected" <?php endif; ?> >Specific dates</option>
        </select>

        <label for='period_start' style='margin-left: 1em'></label>
        <input class="date" name="period_start" id="period_start" type="text" value="<?php  if(!empty($start)){ echo $start;}else{ echo date('Y-m-d');}?>" tabindex="2"/>
        <input type='image' src='<?php echo $url ?>/assets/images/icon-calendar-d.gif' id='period_start_button' align='absmiddle' border='0' tabindex='3' />
        <label for='period_end' style='margin-left: 1em'> </label>

        <input class="date" name="period_end" id="period_end" type="text" value="<?php if(!empty($end)){ echo $end;}else{ echo date('Y-m-d');} ?>" tabindex="4" /> 
		<input type='image' src='<?php echo $url ?>/assets/images/icon-calendar-d.gif' id='period_end_button' align='absmiddle' border='0' tabindex='3' />
		
		
		<a href='' onclick='return periodFormSubmit()'>
        <img src='<?php echo $url ?>/assets/images/ltr/go_blue.gif' border='0' tabindex='6' /></a>
<!--
   <label for='Metrics' style='margin-left: 1em'><b>Columns  </b></label>
   <br/>
   <table border= "1">
  <tr>
  <td><input type="checkbox" name="bannertype " value="bannertype" id="hbannertype">Plaform<br></td>
  <td><input type="checkbox" name="request " value="request" id="hrequest"> Request<br></td>
  <td><input type="checkbox" name="impression" value="impression" id="himpression">Impression<br></td>
  <td><input type="checkbox" name="click" value="click"  id="hclick"> Click<br></td>
  <td><input type="checkbox" name="ctr" value="ctr" id="hctr"> CTR<br></td>
  <td><input type="checkbox" name="fillrate" value="fillrate" id="hfillrate"> Fill Rate<br></td>
 </tr>

	   
   </table>
-->
 

</form>
<?php

$adunitname = '';
//~ print_r(OA_Dal_Delivery_numRows($query));
if(OA_Dal_Delivery_numRows($query)>0)
{
$i =0;	
while($val=OA_Dal_Delivery_fetchAssoc($query))
{
	$value[]=$val['name'];
	$value1[]=$val['biddername'];
	if($val['req'] == '')
	{
		$value2[]=0;
	}
	else
	{
		$value2[]=$val['req'];
	}
	$value3[]=$val['res'];
	$value4[]=$val['imp'];
	$value5[] =$val['ctr'];
	$value6[] =$val['clicks'];
	$value7[] = $val['fill_rate'];
	$value8[] = $val['app_name'];
	$tdate[] = $val['tdate'];
	$ddate[] = $val['ddate'];
	//print_r($val);
	$_SESSION['geoquery'][$i] =$val;
	$i++;
}
if($groupby == 'zone'){
	$zonename = '"'.implode('", "', $value).'"';
}elseif($groupby == 'monthly'){
	$zonename = '"'.implode('", "', $ndate).'"';
}elseif($groupby == 'daily'){
	$zonename = '"'.implode('", "', $ddate).'"';
}else{
	$zonename = '"'.implode('", "', $tdate).'"';
}
$request= implode(',', $value2);
$imp = implode(',', $value4);
$ctr = implode(',', $value5);
$fillrate = implode(',', $value7);
$clks = implode(',', $value6);
$adunitname = $value8;

// echo "<pre>";print_r($value8);exit;

?>

<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="http://code.highcharts.com/modules/exporting.js"></script>
<div id="container" style="min-width: 310px; max-width: 800px; height: 400px; margin: 0 auto;padding-top:30px;"></div>
<script>
var cat = <?php echo json_encode($adunitname); ?>;
categories = [];
for(var i = 0; i < cat.length; i++) {
	categories[i] = cat[i];
}
Highcharts.chart('container', {
	chart: {
		type: 'column'
	},
	title: {
		text: ''
	},
	subtitle: {
		text: ''
	},
	xAxis: {
		categories: categories,
		title: {
			text: 'Apps',
		}
	},
	yAxis: {
		min: 0,
		title: {
			text: 'Values',
			align: 'high'
		},
		labels: {
			overflow: 'justify'
		}
	},
	tooltip: {
		valueSuffix: ' '
	},
	plotOptions: {
		bar: {
			dataLabels: {
				enabled: true
			}
		}
	},
	credits: {
		enabled: false
	},
	series: [{
		name: 'Request',
		data: [<?php echo $request;?>]
	}, {
		name: 'Impressions',
		data: [<?php echo $imp; ?>]
	}, {
		name: 'Clicks',
		data: [<?php echo $clks; ?>]
	}, {
		name: 'Fillrate',
		data: [<?php echo  $fillrate; ?>]
	}, {
		name: 'CTR',
		data: [<?php echo $ctr; ?>]
	}, ]
});
</script>

<?php
}
else
{	
echo '<div style="margin-top: 2em;" class="errormessage"><img border="0" align="absmiddle" width="16" height="16" src="assets/images/info.gif" class="errormessage">There are currently no statistics available</div>';
}
?>
<br/>

<?php

	$start=date('Y-m-d',strtotime($startdate));	
	$end=date('Y-m-d',strtotime($endate));	
	$groupby = $_POST['group_by']? $_POST['group_by']:'zone';

	if(OA_Dal_Delivery_numRows($query)>0)
	{
		// echo "<a href=apps_stats_excel.php?startdate=$start&endate=$end&affiliateid=$affiliateid>Export Statistics to Excel</a>";
		$filename = "AppReport_".$start.'_'.$end; 
	?>

	<style type="text/css">

		#container{
			margin-top: 5px!important;
			box-shadow: 0 1px 6px rgba(32,33,36,.28);
		}
		
		#export{

			background: grey;
			padding: 6px;
			border-radius: 5px;
			width: 50px;
			text-align: center;
			color: white;
			cursor: pointer;
		}
		#example td, #example th {
    border: 0.5px solid #ddd;
	}


#example thead {
    background: #eaeaea;
    font-size: 15px;
    color: black;
    font-weight: 700;
}
	</style>

    <!-- <div id="export" onclick="export_table_to_csv('report_table', '<?=$filename?>.csv');"><b>Export</b></div> -->

<?php

}

?>

<?php
   
  $tempQuery =  $_SESSION['geoquery'];
  
if($tempQuery>0)
{
	?>
	<form method="POST">
    <!-- <table cellspacing="0" name="report_table" cellpadding="0" border="0" width="100%" class="table" style="border: 1px solid #80808066;">
     <tr>
				
        <td class="aleft" style="font-weight:bold;font-size:13px;" id="sites">
           App Name
        </td>
        
         <td class="aleft" style="font-weight:bold;font-size:13px;" id="bannertype">
          Platform
        </td>
        
        <td class="aleft" style="font-weight:bold;font-size:13px;" id="request">
           Request
        </td>
        
         <td class="aleft" style="font-weight:bold;font-size:13px;" id="impression">
			Impression
        </td>
        <td class="aleft" style="font-weight:bold;font-size:13px;" id="click">
			Click
        </td>
		
		<td class="aleft" style="font-weight:bold;font-size:13px;" id="ctr">
			CTR
        </td>
        
        <td class="aleft" style="font-weight:bold;font-size:13px;" id="fillrate">
			Fill Rate
        </td>
        
        
        
    </tr> -->

	<link rel='stylesheet' type='text/css' href='https://cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css'>
<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
		<table width="100%" id="example" style="float:left;height:200px;">

		<thead>
  
		<tr >
		<th scope="col">&nbsp; Website Name</th>
		<th scope="col">Platform </th>
		<th scope="col">Requset</th>
		<th scope="col">Impression</th>
		<th scope="col">Click</th>
		<th scope="col">CTR</th>
		<th scope="col">Fill Rate&nbsp;</th>
		</tr>
		</thead>
<?php
	
	for($i=0;$i<count($tempQuery);$i++)
	{	
	 if($i%2 == 0) {
		$class = "class=dark";
		$classtd = "dark";	
	} else {
		$class = "class=light";
		$classtd = "light";
	}
?>

<tr <?php echo $class;?>>
	  
	<td class="czone" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['app_name'];?></td> 
	

	<td class="cbannertype" class="<?php echo $classtd;?>">
		<?php if($tempQuery[$i]['platform']=='3'){?>iOS<?php } ?>
		<?php if($tempQuery[$i]['platform']=='1'){?>Android<?php } ?>
	</td>

	  <td class ="crequest" class="<?php echo $classtd;?>">
	  <?php  if($tempQuery[$i]['req'] == '')
	  {
		  echo 0;
	  }
	  else
	  {
		  echo $tempQuery[$i]['req'] ;
		  
	  }
	  
	  
	  ;?></td>
	   <td class="cimpression" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['imp'];?></td>  
	   <td class="cclick" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['clicks'];?></td>  
	   <td class="cctr" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['ctr']."%";?></td>  
	   <td class="cfillrate" class="<?php echo $classtd;?>"><?php echo $tempQuery[$i]['fill_rate']."%";?></td>  
	   
</tr>

<?php 
   // }
}
//$i++;
}


//~ else
//~ {
	?>
<!--
            <tr>
                <td colspan='10'>
                    <div style="font-weight:bold;text-align:center;"> CURRENTLY THERE ARE NO APPS REPORT AVAILABLE TO LIST </div>
              
                </td>
 		
            </tr>
-->
<?php
//~ }
?>
</table>
<script type="text/javascript">
$(document).ready( function () {
  
  $('#example').DataTable();
} );
</script>

</form>

<script type="text/javascript" src="//code.jquery.com/jquery-1.10.2.js"></script>
<script type='text/javascript'>
<!--
Calendar.setup({
	inputField: 'period_start',
	ifFormat: '%Y-%m-%d',
	button: 'period_start_button',
	align: 'Bl',
	weekNumbers: false,
	firstDay: 1,
	electric: false
});
Calendar.setup({
	inputField: 'period_end',
	ifFormat: '%Y-%m-%d',
	button: 'period_end_button',
	align: 'Bl',
	weekNumbers: false,
	firstDay: 1,
	electric: false
});
//-->
function periodFormChange(bAutoSubmit) {
	//alert("hii");
	var o = document.getElementById('period_preset');
	var periodSelectName = o.options[o.selectedIndex].value;
	var specific = periodSelectName == 'specific';
	var periodTabIndex = 2;
	document.getElementById('period_start').readOnly = !specific;
	document.getElementById('period_start_button').disabled = !specific;
	document.getElementById('period_end').readOnly = !specific;
	document.getElementById('period_end_button').disabled = !specific;
	if(!specific) {
		document.getElementById('period_start').style.backgroundColor = '#CCCCCC';
		document.getElementById('period_end').style.backgroundColor = '#CCCCCC';
		document.getElementById('period_start').tabIndex = null;
		document.getElementById('period_start_button').tabIndex = null;
		document.getElementById('period_end').tabIndex = null;
		document.getElementById('period_end_button').tabIndex = null;
		document.getElementById('period_start_button').src = '<?php echo $url ?>/assets/images/icon-calendar-d.gif';
		document.getElementById('period_end_button').src = '<?php echo $url ?>/assets/images/icon-calendar-d.gif';
	} else {
		document.getElementById('period_start').style.backgroundColor = '#FFFFFF';
		document.getElementById('period_end').style.backgroundColor = '#FFFFFF';
		document.getElementById('period_start').tabIndex = periodTabIndex;
		document.getElementById('period_start_button').tabIndex = periodTabIndex + 1;
		document.getElementById('period_end').tabIndex = periodTabIndex + 2;
		document.getElementById('period_end_button').tabIndex = periodTabIndex + 3;
		document.getElementById('period_start_button').src = '<?php echo $url ?>/assets/images/icon-calendar.gif';
		document.getElementById('period_end_button').src = '<?php echo $url ?>/assets/images/icon-calendar.gif';
	}
	document.getElementById('period_start_button').readOnly = !specific;
	document.getElementById('period_end_button').readOnly = !specific;
	document.getElementById('period_start_button').style.cursor = specific ? 'auto' : 'default';
	document.getElementById('period_end_button').style.cursor = specific ? 'auto' : 'default';
	if(!specific && bAutoSubmit) {
		o.form.submit();
	}
}
periodFormChange(0);

function periodFormSubmit() {
	var form = document.getElementById('period_preset').form;
	if(checkDates(form)) {
		form.submit();
	}
	return false;
}

function checkDates(form) {
	var startField = form.period_start;
	var endField = form.period_end;
	if(!startField.disabled && startField.value != '') {
		var start = Date.parseDate(startField.value, '%Y-%m-%d 00:00:00');
	}
	if(!startField.disabled && endField.value != '') {
		var end = Date.parseDate(endField.value, '%Y-%m-%d 23:59:59');
	}
	if((start != undefined && end != undefined) && (start.getTime() > end.getTime())) {
		//alert('\'From\' date must be earlier then \'To\' date');
		//return false;
	}
	return true;
}
var jq = $.noConflict(true);
jq(document).ready(function() {
	jq('#hbannertype').change(function() {
		if(!this.checked) {
			jq('#bannertype').show();
			jq('.cbannertype').show();
		} else {
			jq('#bannertype').hide();
			jq('.cbannertype').hide();
		}
	});
	jq('#hrequest').change(function() {
		if(!this.checked) {
			jq('#request').show();
			jq('.crequest').show();
		} else {
			jq('#request').hide();
			jq('.crequest').hide();
		}
	});
	jq('#himpression').change(function() {
		if(!this.checked) {
			jq('#impression').show();
			jq('.cimpression').show();
		} else {
			jq('#impression').hide();
			jq('.cimpression').hide();
		}
	});
	jq('#hclick').change(function() {
		if(!this.checked) {
			jq('#click').show();
			jq('.cclick').show();
		} else {
			jq('#click').hide();
			jq('.cclick').hide();
		}
	});
	jq('#hctr').change(function() {
		if(!this.checked) {
			jq('#ctr').show();
			jq('.cctr').show();
		} else {
			jq('#ctr').hide();
			jq('.cctr').hide();
		}
	});
	jq('#hfillrate').change(function() {
		if(!this.checked) {
			jq('#fillrate').show();
			jq('.cfillrate').show();
		} else {
			jq('#fillrate').hide();
			jq('.cfillrate').hide();
		}
	});
});
</script>
<script type="text/javascript">
jq(document).ready(function() {
	jq(".zoneval").hide();
	jq(".table").on('click', '.showads', function() {
		var id = jq(this).attr('id');
		var zid = id.split('_');
		console.log(zid);
		zoneid = zid[zid.length - 1];
		jq(".ads_" + zid[1] + "_" + zoneid).show();
		// jq(this).replaceWith('<td id="zone_'+zid[1]+'_'+zoneid+'" class="hideads"><img src="<?php echo $url ?>/plugins/mediation/assets/images/minus.jpg" width="12px"></td>');
	});
	jq(".table").on('click', '.hideads', function() {
		var id = jq(this).attr('id');
		var zid = id.split('_');
		zoneid = zid[zid.length - 1];
		//alert(zoneid);
		jq(".ads_" + zid[1] + "_" + zoneid).hide();
		// jq(this).replaceWith('<td id="zone_'+zid[1]+'_'+zoneid+'" class="showads"><img src="<?php echo $url ?>/plugins/mediation/assets/images/plus.png" width="12px"></td>');
		// jq("#exadsimgmi_"+zid[1]+"_"+zoneid).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/plus.png" width="12px" class="exadsimg" id="exadsimg_'+zid[1]+'_'+zoneid+'">');
		jq('.exad_' + zid[1] + "_" + zoneid).hide();
		// jq("#inadsimgmi_"+zid[1]+"_"+zoneid).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/plus.png" width="12px" class="inadsimg" id="inadsimg_'+zid[1]+'_'+zoneid+'">');
		jq('.inad_' + zid[1] + "_" + zoneid).hide();
		// jq("#demoadsimgmi_"+zid[1]+"_"+zoneid).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/plus.png" width="12px" class="demoadsimg" id="demoadsimg_'+zid[1]+'_'+zoneid+'">');
		jq('.demoad_' + zid[1] + "_" + zoneid).hide();
	});
	jq(".table").on('click', '.exadsimg', function() {
		var id = jq(this).attr('id');
		var exid = id.split('_');
		exid1 = exid[exid.length - 1];
		jq('.exad_' + exid[1] + "_" + exid1).show();
		// jq(this).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/minus.jpg" width="12px" class="exadsimgmi" id="exadsimgmi_'+exid[1]+"_"+exid1+'">');
	});
	jq('.table').on('click', '.exadsimgmi', function() {
		var id = jq(this).attr('id');
		var eximgid = id.split('_');
		eximgid1 = eximgid[eximgid.length - 1];
		console.log(eximgid);
		// jq(this).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/plus.png" width="12px" class="exadsimg" id="exadsimg_'+eximgid[1]+"_"+eximgid1+'">');
		jq('.exad_' + eximgid[1] + "_" + eximgid1).hide();
	});
	jq(".table").on('click', '.inadsimg', function() {
		var id = jq(this).attr('id');
		var inid = id.split('_');
		inid1 = inid[inid.length - 1];
		jq('.inad_' + inid[1] + "_" + inid1).show();
		// jq(this).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/minus.jpg" width="12px" class="inadsimgmi" id="inadsimgmi_'+inid[1]+"_"+inid1+'">');
	});
	jq('.table').on('click', '.inadsimgmi', function() {
		var id = jq(this).attr('id');
		var inimgid = id.split('_');
		inimgid1 = inimgid[inimgid.length - 1];
		// jq(this).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/plus.png" width="12px" class="inadsimg" id="inadsimg_'+inimgid[1]+"_"+inimgid1+'">');
		jq('.inad_' + inimgid[1] + "_" + inimgid1).hide();
	});
	jq(".table").on('click', '.demoadsimg', function() {
		var id = jq(this).attr('id');
		var inid = id.split('_');
		inid1 = inid[inid.length - 1];
		jq('.demoad_' + inid[1] + "_" + inid1).show();
		// jq(this).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/minus.jpg" width="12px" class="demoadsimgmi" id="demoadsimgmi_'+inid[1]+"_"+inid1+'">');
	});
	jq('.table').on('click', '.demoadsimgmi', function() {
		var id = jq(this).attr('id');
		var inimgid = id.split('_');
		inimgid1 = inimgid[inimgid.length - 1];
		// jq(this).replaceWith('<img src="<?php echo $url ?>/plugins/mediation/assets/images/plus.png" width="12px" class="demoadsimg" id="demoadsimg_'+inimgid[1]+"_"+inimgid1+'">');
		jq('.demoad_' + inimgid[1] + "_" + inimgid1).hide();
	});
});

function download_csv(csv, filename) {
	var csvFile;
	var downloadLink;
	// CSV FILE
	csvFile = new Blob([csv], {
		type: "text/csv"
	});
	// Download link
	downloadLink = document.createElement("a");
	// File name
	downloadLink.download = filename;
	// We have to create a link to the file
	downloadLink.href = window.URL.createObjectURL(csvFile);
	// Make sure that the link is not displayed
	downloadLink.style.display = "none";
	// Add the link to your DOM
	document.body.appendChild(downloadLink);
	// Lanzamos
	downloadLink.click();
}

function export_table_to_csv(html, filename) {
	var csv = [];
	var rows = document.querySelectorAll("table tr");
	for(var i = 0; i < rows.length; i++) {
		var row = [],
			cols = rows[i].querySelectorAll("td, th");
		for(var j = 0; j < cols.length; j++) row.push(cols[j].innerText);
		csv.push(row.join(","));
	}
	// Download CSV
	download_csv(csv.join("\n"), filename);
}
</script>
<style>
.zoneval {
	background-color: #ddd42533;
}

.exads,
.inads,
.demoads {
	background-color: white;
}
</style>


<?php
//_echoDeliveryCappingJs();
phpAds_PageFooter();
?>
