<?php
/*
+---------------------------------------------------------------------------+
| OpenX v2.8                                                                |
| ==========                                                                |
|                                                                           |
| Copyright (c) 2003-2009 OpenX Limited                                     |
| For contact details, see: http://www.openx.org/                           |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: advertiser-campaigns.php 34688 2009-04-01 16:18:28Z andrew.hill $
*/

// Require the initialisation file
//DAC102 - Connect DB
   //~ require_once '../../../../init.php';
 $path = dirname(__FILE__);
  	require_once '../../../../init.php';
 //DAC102 - Connect DB.

//require_once MAX_PATH . '/lib/OX/Util/Utils.php';

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';

	//DAC connect DB

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
//DAC connect DB
	$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];
$account_id = $GLOBALS['session']['user']->aAccount['account_id'];
$affiliate_id = OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("SELECT `affiliateid` FROM (`rv_affiliates`) WHERE `account_id` = '".$account_id."'"));
$affiliate_id = $affiliate_id['affiliateid'];
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form

$oOptions = new OA_Admin_Option('manage_adunits');
$prefSection = "Adunits List";

$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Create a new option object for displaying the setting's page's HTML form
//$oOptions = new OA_Admin_Option('settings');
//$prefSection = "inventory-products";
$aErrormessage = array();



// Set the correct section of the preference pages and display the drop-down menu
//$setPref = $oOptions->getSettingsPreferences($prefSection);
//$title = $setPref[$prefSection]['name'];

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Ad unit");
phpAds_PageHeader('manage_adunits',$oHeaderModel);
 
$app_id='';
$appcondi='';
$app_id=$_GET['appid'];

$url=$GLOBALS['_MAX']['CONF']['webpath']['admin'];
if(isset($app_id))
{
	$pathvar="add_adunits.php?affiliateid=".$_GET['affiliateid']."&mode=add&app_id='".$app_id."'";
}else{
	$pathvar="add_adunits.php?affiliateid=".$_GET['affiliateid']."&mode=add";
}
?><div id="thirdLevelTools" style="float:left;">
      <div class="messagePlaceholder" id="messagePlaceholder"></div>

      <ul class="contextContainer">
                    <li>
              <a href="<?php echo $pathvar; ?>"  class="buttonLink">
                  <span>Add Ad Units</span>
              </a>
          </li>
                                    </ul>
  </div><?php

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];


if(isset($_GET['adunit_id']))
{
	OA_Dal_Delivery_query("update mediation_app_adunit_details set is_deleted=1 WHERE adunit_id=".$_GET['adunit_id']);
	
		$translation = new OX_Translation ();
        $translated_message = $translation->translate ('Ad unit deleted successfully.');
        OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
        
        ?>
<script type="text/javascript">

//~ header("Location: http://example.com/myOtherPage.php");
window.location.replace("manage_adunits.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
</script><?php
}
?>
<link rel="stylesheet" type="text/css" href="assets/css/jquery.dataTables.min.css" />
<script src="assets/js/jquery-1.12.4.js"></script>
<script src="assets/js/jquery.dataTables.min.js"></script>
<script type="text/javascript">
	var jq162 = jQuery.noConflict( true );
jq162(document).ready(function() {
    jq162('#example').DataTable();
} );
</script>
<!--  code here -->
<table border='0' width='100%' cellpadding='0' cellspacing='0'>
<tr><td height='25' colspan='3'><b>Manage Network</b>&nbsp;&nbsp;&nbsp;<!--<a href="oxm_inventory_products.php?mode=add">Add Product</a>--></td></tr>

<?php

$path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$GLOBALS['_MAX']['CONF']['webpath']['admin']."/" : "http://".$GLOBALS['_MAX']['CONF']['webpath']['admin']."/";
?>

<tr height='1'><td colspan='3' bgcolor='#888888'><img src='<?=$path;?>assets/images/break.gif' height='1' width='100%'></td></tr>
<tr><td height='10' colspan='3'>&nbsp;</td></tr>
<tr><td height='10' colspan='3'>
<table width="100%"  id="example" class="display">
<?php
//~ print_r($_GET);die("test");
if(isset($app_id))
{
	$appcondi="AND an.app_id='".$app_id."'";
}	
$getinvres = OA_Dal_Delivery_query("SELECT an.adunit_id,an.adunit_name,an.device_type,an.ad_format,an.app_id ,(SELECT ap.platform_type FROM mediation_app_detail as ap where an.app_id=ap.appid) as platform FROM mediation_app_adunit_details as an WHERE an.is_deleted=0 AND an.affiliateid ='".$_GET['affiliateid']."' $appcondi ORDER BY an.added_date");

	if(OA_Dal_Delivery_numRows($getinvres)>0)
	{?>
		<thead>
			<tr>
				<td style="font-size:12px;"><b>ADUNIT</b></td>
				<td style="font-size:12px;"><b>DEVICE</b></td>
				<td style="font-size:12px;"><b>FORMAT</b></td>
				<td style="font-size:12px;"><b>MOBILE SDK</b></td>
				<td style="font-size:12px;"><b>PLATFORM</b></td>
				<td style="font-size:12px;"><b>ACTIONS</b></td>
			</tr>
		</thead><?php
		while($getinvrow = OA_Dal_Delivery_fetchAssoc($getinvres))
		{
			$val=array_filter($getinvrow);
			$ad_format = $val['ad_format'];?>
			<tr>
				<td style="font-size:12px;"><a href="manage_adsources.php?affiliateid=<?php echo $_GET['affiliateid'];?>&adunit_id=<?php echo $val['adunit_id'];?>"><?php echo $val['adunit_name'];?></a></td>
				<td style="font-size:12px;"><?php echo $val['device_type'];?></td>
				<td style="font-size:12px;"><?php if($ad_format==0)
					{
						echo 'Banner(320x50)';
					}
					else if($ad_format==1)
					{
						echo 'Medium(300x250)';
					}
					else if($ad_format==2)
					{
						echo 'Fullscreen';
					}
					else if($ad_format==3)
					{
						echo 'Native';
					}
					else if($ad_format==4)
					{
						echo 'Rewarded Video';
					}
					else if($ad_format==5)
					{
						echo 'Custom';
					}
					else if($ad_format==6)
					{
						echo 'Leaderboard(728x90)';
					}
					else if($ad_format==7)
					{
						echo 'Skyscrapper(160x600)';
					}
					else
					{
					}?></td>
				<td style="font-size:12px;">&nbsp;&nbsp;&nbsp;
					<a href="mobile_sdk.php?affiliateid=<?php echo $_GET['affiliateid'];?>&adunit_id=<?php echo $val['adunit_id'];?>&platformapp=<?php if($val['platform'] == '1'){echo "1"; }else{ echo "0";}?>"><input type="button" value="Mobile SDK" /></a></td>
				<td style="font-size:12px;"><?php if($val['platform'] == '1'){
					echo "Android";
						} else {
							echo "iOS";
							}?></td>
				
				<td style="font-size:12px;">
					&nbsp;&nbsp;&nbsp;
					<a href="manage_adunits.php?affiliateid=<?php echo $_GET['affiliateid'];?>&adunit_id=<?php echo $val['adunit_id'];?>" onclick="return confirm('Are you sure you want to delele this Ad unit?')"><input type="button" value="Delete" /></a>&nbsp;&nbsp;&nbsp;
					<a href="edit_adunits.php?affiliateid=<?php echo $_GET['affiliateid'];?>&adunit_id=<?php echo $val['adunit_id'];?>&mode=edit"><input type="button" value="Edit" /></a>
				</td>
			</tr><?php
		}
	}
	else{
        
        ?>
        <td>&nbsp;&nbsp;&nbsp;</td>    
        <td>&nbsp;&nbsp;&nbsp;</td>    
        <td>&nbsp;&nbsp;&nbsp;</td>    
        <td><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle">
        <?php
        echo "There are currently no ad units available"; ?></td><?php
    }




phpAds_PageFooter();

?>
