<?php

// Require the initialisation file
//DAC102 - Connect DB
$path = dirname(__FILE__);
require_once '../../../../init.php';
//DAC102 - Connect DB.

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';

//DAC connect DB

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
//DAC connect DB
$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);


$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form

$oOptions = new OA_Admin_Option('manage_apps');
$prefSection = "Apps List";
 
$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Create a new option object for displaying the setting's page's HTML form
$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Apps List");
phpAds_PageHeader('manage_apps',$oHeaderModel);
//~ print_r($_GET);exit;
$url=$GLOBALS['_MAX']['CONF']['webpath']['admin'];
$pathvar="add_app.php?affiliateid={$_GET['affiliateid']}&mode=add";
?>
<html>
<div id="thirdLevelTools" style="float:left;">
      <div class="messagePlaceholder" id="messagePlaceholder"></div>

      <ul class="contextContainer">
                    <li>
              <a href="<?php echo $pathvar; ?>"  class="buttonLink">
                  <span>Add App</span>
              </a>
          </li>
                                    </ul>
  </div>
<link rel="stylesheet" type="text/css" href="assets/css/jquery.dataTables.min.css" />
<script src="assets/js/jquery-1.12.4.js"></script>
<script src="assets/js/jquery.dataTables.min.js"></script>
<script type="text/javascript">
	var jq162 = jQuery.noConflict( true );
jq162(document).ready(function() {
	jq162('#example').DataTable();
} );
</script>
<!--  code here -->

<?php

$path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$GLOBALS['_MAX']['CONF']['webpath']['admin']."/" : "http://".$GLOBALS['_MAX']['CONF']['webpath']['admin']."/";
?>

<table border='0' width='100%' cellpadding='0' cellspacing='0'>
<tr><td height='25' colspan='3'><b>Manage Apps</b>&nbsp;&nbsp;&nbsp;</td></tr>
<tr height='1'><td colspan='3' bgcolor='#888888'><img src='<?=$path;?>assets/images/break.gif' height='1' width='100%'></td></tr>
<tr><td height='10' colspan='3'>&nbsp;</td></tr>
<tr><td height='10' colspan='3'></td></tr></table>
<table width="100%"  id="example" class="display">
	<?php
	$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select account_id from {$table_prefix}affiliates where affiliateid='".$_GET['affiliateid']."'"));

	 
	if(isset($_GET['appid']) && $_GET['mode']!='edit')
	{
		//~ OA_Dal_Delivery_query("delete from mediation_app_detail WHERE appid='".$_GET['appid']."'") or die("App is already deleted.");
		
		OA_Dal_Delivery_query("update mediation_app_detail set is_deleted=1 WHERE appid=".$_GET['appid']) or die("Ad unit is already paused.");
		
		OA_Dal_Delivery_query("delete from mediation_app_category_assoc WHERE appid='".$_GET['appid']."'") or die("App is already deleted.");
		
		//~ OA_Dal_Delivery_query("delete from mediation_app_adunit_details WHERE app_id='".$_GET['appid']."'") or die("App is already deleted3.");
		
		OA_Dal_Delivery_query("update mediation_app_adunit_details set is_deleted=1 WHERE app_id=".$_GET['appid']) or die("Ad unit is already paused1.");
		
			$translation = new OX_Translation ();
			$translated_message = $translation->translate ('App deleted successfully.');
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
			?>
	<script type="text/javascript">
	window.location.replace("manage_apps.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
	</script><?php
	}
	$getappsdetails = OA_Dal_Delivery_query("SELECT ap.app_name,ap.account_id,ap.appid,ap.platform_type,ap.icon_image ,(select count(ad.adunit_id) FROM mediation_app_adunit_details as ad where ap.appid=ad.app_id AND ad.is_deleted=0) as adunitcount FROM mediation_app_detail as ap WHERE ap.is_deleted=0 AND ap.account_id ='".$account_id['account_id']."' ORDER BY ap.app_added_date ") or die(mysqli_error());

		if(OA_Dal_Delivery_numRows($getappsdetails)>0)
		{?>
			<thead>
				<tr>
					<td style="font-size:12px;"><b>Apps </b></td>
					<td style="font-size:12px;"><b>Platform</b></td>
					<td style="font-size:12px;"><b>Ad Unit Counts</b></td>
					<td style="font-size:12px;"><b>ACTIONS</b></td>
				</tr>
			</thead><?php
			while($getappsrow = OA_Dal_Delivery_fetchAssoc($getappsdetails))
			{
				$val=array_filter($getappsrow);
										?>
				<tr>
					<td style="font-size:12px;"> 
						<?php
							$path = $GLOBALS['_MAX']['SSL_REQUEST'] ? "https://".$GLOBALS['_MAX']['CONF']['webpath']['images']."/" : "http://".$GLOBALS['_MAX']['CONF']['webpath']['images']."/";
						?>
						<img src=<?php echo $path.$val['icon_image']; ?> alt="" width="38" heigh="38" style="float: left;">
						<label style="float:left; margin: 10px;">
						<a href="manage_adunits.php?affiliateid=<?php echo $_GET['affiliateid'];?>&appid=<?php echo $getappsrow['appid'];?>"><?php echo $val['app_name'];?></a> </label>
					</td>
					<td style="font-size:12px;">
						<?php if($val['platform_type']== 1){ echo "Andriod"; }else{echo "iOS";};?>
					</td>
					<td style="font-size:12px; text-align: center;">
						<?php $ad_cont = $val['adunitcount'] ? $val['adunitcount'] : '0'; echo $ad_cont;?>
					</td>
					<td style="font-size:12px;">
						&nbsp;&nbsp;&nbsp;
						<a href="add_app.php?affiliateid=<?php echo $_GET['affiliateid'];?>&mode=edit&appid=<?php echo $getappsrow['appid'];?>"><input type="button" value="Edit" /></a>
						<a href="manage_apps.php?affiliateid=<?php echo $_GET['affiliateid'];?>&appid=<?php echo $getappsrow['appid'];?>" onclick="return confirm('Are you sure you want to delele this App?')"><input type="button" value="Delete" /></a>&nbsp;&nbsp;&nbsp;
						
					</td>
				</tr><?php
			}
		}else
		{
	
			?>
			<td>&nbsp;&nbsp;&nbsp;</td>	
			<td>&nbsp;&nbsp;&nbsp;</td>	
			<td>&nbsp;&nbsp;&nbsp;</td>	
			<td><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle">
			<?php
			echo "There are currently no apps available"; ?>
			</td>
</table>
</html>
			<?php
		}
phpAds_PageFooter(); 

?>
