<?php

// Require the initialisation file
//DAC102 - Connect DB
$path = dirname(__FILE__);
require_once '../../../../init.php';
//DAC102 - Connect DB.

// Required files
require_once MAX_PATH . '/lib/OA/Admin/Option.php';
require_once MAX_PATH . '/lib/OA/Admin/Settings.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/lib/OX/Plugin/Component.php';
require_once MAX_PATH . '/www/admin/lib-maintenance-priority.inc.php';
require_once MAX_PATH . '/lib/OA/Dal.php';
require_once MAX_PATH . '/lib/OA/Dll.php';
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/lib/OX/Admin/Redirect.php';

//DAC connect DB

if ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'pgsql') {
    require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}elseif ($GLOBALS['_MAX']['CONF']['database']['type'] == 'mysqli') {
     require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}
//DAC connect DB
	$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

$qry = OA_Dal_Delivery_Query("SELECT affiliate_type, is_mediation FROM  {$table_prefix}affiliates WHERE `affiliateid` = {$affiliateid}");
while($row = OA_Dal_Delivery_fetchAssoc($qry)){
	$affiliate_type = $row['affiliate_type'];
	$is_mediation = $row['is_mediation'];
}

if($affiliate_type != 1 && $is_mediation != 1){
	phpAds_PageHeader(1);
	// phpAds_Die( "<br>Please make sure you have enable Mediation.");
	echo "<b>Please make sure you have enable Mediation.</b>";
	exit;
}
// Security check
OA_Permission::enforceAccount(OA_ACCOUNT_TRAFFICKER, OA_ACCOUNT_MANAGER);
OA_Permission::enforceAccessToObject('affiliates', $affiliateid);
//~ OA_Permission::enforceAccessToObject('affiliates', $affiliate_type);
//~ OA_Permission::enforceAccessToObject('affiliates', $is_mediation);
OA_Permission::enforceAccessToObject('zones', $zoneid, true);

$oTranslation = new OX_Translation();

// Create a new option object for displaying the setting's page's HTML form
$oOptions = new OA_Admin_Option('manage_segments');
$prefSection = "Segments List";

$setPref = $oOptions->getSettingsPreferences($prefSection);
$title = $setPref[$prefSection]['name'];

// Create a new option object for displaying the setting's page's HTML form
$aErrormessage = array();

// Display the settings page's header and sections
$oHeaderModel = new OA_Admin_UI_Model_PageHeaderModel("Segments List");
phpAds_PageHeader('manage_segments',$oHeaderModel);

$url=$GLOBALS['_MAX']['CONF']['webpath']['admin'];
$pathvar="add_segments.php?affiliateid={$_GET['affiliateid']}&mode=add";

?>
<html>
<div id="thirdLevelTools" style="float:left;">
      <div class="messagePlaceholder" id="messagePlaceholder"></div>

      <ul class="contextContainer">
                    <li>
              <a href="<?php echo $pathvar; ?>"  class="buttonLink">
                  <span>Add Segment</span>
              </a>
          </li>
                                    </ul>
  </div>
  
<link rel="stylesheet" type="text/css" href="assets/css/jquery.dataTables.min.css" />
<script src="assets/js/jquery-1.12.4.js"></script>
<script src="assets/js/jquery.dataTables.min.js"></script>
<script type="text/javascript">
	var jq162 = jQuery.noConflict( true );
jq162(document).ready(function() {
    jq162('#example').DataTable();
} );
</script>
<!--  code here -->
<table border='0' width='100%' cellpadding='0' cellspacing='0'>
<tr><td height='25' colspan='3'><b>Manage Segment</b>&nbsp;&nbsp;&nbsp;<!--<a href="oxm_inventory_products.php?mode=add">Add Product</a>--></td></tr>
<tr height='1'><td colspan='3' bgcolor='#888888'><img src='assets/images/break.gif' height='1' width='100%'></td></tr>
<tr><td height='10' colspan='3'>&nbsp;</td></tr>
<tr><td height='10' colspan='3'></td></tr></table>
<table width="100%"  id="example" class="display">
	<?php

	$account_id =OA_Dal_Delivery_fetchAssoc(OA_Dal_Delivery_query("select account_id from {$table_prefix}affiliates where affiliateid='".$_GET['affiliateid']."'"));

	if(isset($_GET['id']) && $_GET['mode']!='edit' && $_GET['mode']=='pause')
	{
		OA_Dal_Delivery_query("update mediation_segments set status=".$_GET['status']." WHERE id=".$_GET['id']);
	}

	if(isset($_GET['id']) && $_GET['mode']!='edit' && $_GET['mode']=='run')
	{	
		OA_Dal_Delivery_query("update mediation_segments set status=".$_GET['status']." WHERE id=".$_GET['id']);
	}

	if(isset($_GET['id']) && $_GET['mode']!='edit' && !(isset($_GET['mode'])) )
	{
		OA_Dal_Delivery_query("delete from mediation_segments WHERE id='".$_GET['id']."'");
		
		OA_Dal_Delivery_query("delete from mediation_segment_assoc WHERE segment_id='".$_GET['id']."'");
		
		$translation = new OX_Translation ();
			$translated_message = $translation->translate ('Segment deleted successfully.');
			OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
			?>
	<script type="text/javascript"> 
	window.location.replace("manage_segments.php?affiliateid=<?php echo $_GET['affiliateid'];?>");
	</script><?php
	}
	$getsegments = OA_Dal_Delivery_query("select id,seg_name,status FROM mediation_segments WHERE account_id = '".$account_id['account_id']."'");

		if(OA_Dal_Delivery_numRows($getsegments)>0)
		{?>
			<thead>
				<tr>
					<td style="font-size:12px;"><b>Segment NAME </b></td>
					<td style="font-size:12px;"><b>STATUS</b></td>
					<td style="font-size:12px;"><b>ACTIONS</b></td>
				</tr>
			</thead><?php
			while($getsegmentrow = OA_Dal_Delivery_fetchAssoc($getsegments))
			{
				$val=array_filter($getsegmentrow);
			?>
				<tr>
					<td style="font-size:12px;"><a href="list_segment_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&segid=<?php echo $val['id'];?>"><?php echo $val['seg_name'];?>
					</a></td>
					<td style="font-size:12px;">
						<?php if($val['status'] == '1'){
						echo "<span style=color:green;>Active</span>";
						} else {
						echo "<span style=color:red;>Paused</span>";
						}?>
					</td>
					<td style="font-size:12px;">
						&nbsp;&nbsp;&nbsp;
						<?php if($val['status'] == '1'){ ?>
						<a href="manage_segments.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $val['id'];?>&status=0&mode=pause"><input type="button" value="Pause this segment" /></a>
						<?php } else{?>
						<a href="manage_segments.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $val['id'];?>&status=1&mode=run"><input type="button" value="Run this segment" /></a>&nbsp;&nbsp;&nbsp;
						<?php } ?>
						<a href="list_segment_adblocks.php?affiliateid=<?php echo $_GET['affiliateid'];?>&segid=<?php echo $val['id'];?>"><input type="button" value="Manage" /></a>&nbsp;&nbsp;&nbsp;
						<a href="add_segments.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $val['id'];?>&mode=edit"><input type="button" value="Edit" /></a>&nbsp;&nbsp;&nbsp;							
						<a href="manage_segments.php?affiliateid=<?php echo $_GET['affiliateid'];?>&id=<?php echo $val['id'];?>" onclick="return confirm('Are you sure you want to delele this Segement?')"><input type="button" value="Delete" /></a>
					</td>
				</tr><?php
			}
		}
		else
		{
			
			?>
			<td>&nbsp;&nbsp;&nbsp;</td>    
			<td>&nbsp;&nbsp;&nbsp;</td>    
			<td>&nbsp;&nbsp;&nbsp;</td>    
			<td><img class="errormessage" src="assets/images/info.gif" width="16" height="16" border="0" align="absmiddle">
			<?php
			echo "There are currently no segments available"; ?>
			</td>
</table>
</html>                        
		<?php
		}
									

phpAds_PageFooter();

?>
